type makefile = {
    version : string;
    pkgname : string;
    revision : string;
    distname : string;
    distfiles : string;
    categories : string;
    master_sites : string;
    maintainer : string;
    homepage : string;
    comment : string;
    confopt_defaults : string;
    pkg : string;
    addl_make_flags : string;
    depends : string;
    build_depends : string;
    has_configure : string;
    addl_configure_args : string;
    use_gmake : string;
    all_target : string;
    all_target_opt : string;
    docfiles : string;          (* space separated *)
}

type t = {
    specfile : string;
    makefile : makefile;
    descr : string;
    buildmsg : string option;
    confopts : string option;
    patches : string list;
    filesdir : string option;
}
