let sanity_check_localbase godi_localbase =
    if String.get godi_localbase 0 != '/' then
      begin
        Message.error ("godi_localbase must be the full path "
                    ^ "(starting with '/') to your godi install");
        exit 1
      end
    else
      let checkfile = godi_localbase ^ "/etc/godi.conf" in
      if not (Util.file_exists checkfile) then
        begin
          Message.error
            (godi_localbase ^ " does not look like a godi installation.");
          Message.error ("(I checked for " ^ checkfile ^ ")");
          exit 1
        end
